[Testing Update] 2018-04-13 - Kernels, Gnome v3.28.1, Deepin, Haskell, Python

update
testing

#1

Hi community,

welcome to another testing update of Manjaro. Our most effort went into our Kernels, Tools, Gnome v3.28.1, Deepin, Haskell and Python packages. We are now really ready for a new stable update, based on our own testings.

If you wanna test the latest features of the upcoming Manjaro release Illyria, you may checkout our Alpha releases:

Our effort and all the needed information about the new security risk can be found here.

So please report back and give us feedback for given changes made to our repositories. Users of our 32-bit Distro should read this.


Current supported Kernels

  • linux316 3.16.56
  • linux318 3.18.103 [EOL]
  • linux41 4.1.51
  • linux44 4.4.127
  • linux49 4.9.93
  • linux414 4.14.34
  • linux415 4.15.17
  • linux416 4.16.2
  • linux417 4.17-rc0
  • linux-rt 4.14.29_rt25

Upstream Package Updates (Fri Apr 13 07:23:22 CEST 2018)

  • testing core x86_64: 6 new and 6 removed package(s)
  • testing multilib x86_64: 2 new and 2 removed package(s)
  • testing extra x86_64: 22 new and 22 removed package(s)
  • testing community x86_64: 132 new and 136 removed package(s)

Overlay Package Updates (Fri Apr 13 07:38:09 CEST 2018)

  • testing core x86_64: 4 new and 4 removed package(s)
  • testing extra x86_64: 40 new and 40 removed package(s)
  • testing community x86_64: 12 new and 10 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-04-12           2017-04-13
-------------------------------------------------------------------------------
           adapta-black-breath-theme         3.93.0.225-1         3.93.0.244-1
             adapta-black-maia-theme         3.93.0.225-1         3.93.0.244-1
                 adapta-breath-theme         3.93.0.225-1         3.93.0.244-1
                   adapta-maia-theme         3.93.0.225-1         3.93.0.244-1
                  linux414-rt-nvidia           1:390.48-1           1:396.18-1
    manjaro-gnome-extension-settings           20180405-1           20180412-1
              manjaro-gnome-settings           20180323-1           20180412-1
               manjaro-mate-settings           20180312-1           20180412-1
               manjaro-openbox-fonts                1.1-1                1.2-1
            manjaro-openbox-settings           20180403-9           20180412-1
                                 yay              5.657-2              5.675-2
      gnome-shell-extension-arc-menu                    -                 17-1
                            lollypop                    -            0.9.502-0


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-04-12           2017-04-13
-------------------------------------------------------------------------------
                            linux414            4.14.33-1            4.14.34-1
                    linux414-headers            4.14.33-1            4.14.34-1
                            linux415            4.15.16-1            4.15.17-1
                    linux415-headers            4.15.16-1            4.15.17-1
                            linux416             4.16.1-1             4.16.2-1
                    linux416-headers             4.16.1-1             4.16.2-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2017-04-12           2017-04-13
-------------------------------------------------------------------------------
                  linux414-acpi_call             1.1.0-30             1.1.0-31
                   linux414-bbswitch               0.8-30               0.8-31
                linux414-broadcom-wl      6.30.223.271-30      6.30.223.271-31
                   linux414-catalyst     1:15.201.1151-30     1:15.201.1151-31
                linux414-ndiswrapper              1.61-30              1.61-31
                     linux414-nvidia           1:390.48-3           1:390.48-4
               linux414-nvidia-304xx         1:304.137-30         1:304.137-31
               linux414-nvidia-340xx           340.106-18           340.106-19
                   linux414-nvidiabl              0.88-30              0.88-31
                      linux414-r8168          8.045.08-18          8.045.08-19
                  linux414-rt3562sta        2.4.1.1_r4-30        2.4.1.1_r4-31
                        linux414-spl              0.7.8-2              0.7.8-3
                   linux414-tp_smapi              0.41-30              0.41-31
                linux414-vhba-module          20161009-30          20161009-31
   linux414-virtualbox-guest-modules             5.2.8-10             5.2.8-11
    linux414-virtualbox-host-modules             5.2.8-10             5.2.8-11
                        linux414-zfs              0.7.8-2              0.7.8-3
                  linux415-acpi_call             1.1.0-15             1.1.0-16
                   linux415-bbswitch               0.8-15               0.8-16
                linux415-broadcom-wl      6.30.223.271-15      6.30.223.271-16
                   linux415-catalyst     1:15.201.1151-15     1:15.201.1151-16
                linux415-ndiswrapper              1.61-15              1.61-16
                     linux415-nvidia           1:390.48-3           1:390.48-4
               linux415-nvidia-304xx         1:304.137-15         1:304.137-16
               linux415-nvidia-340xx           340.106-15           340.106-16
                   linux415-nvidiabl              0.88-15              0.88-16
                      linux415-r8168          8.045.08-15          8.045.08-16
                        linux415-spl              0.7.8-2              0.7.8-3
                   linux415-tp_smapi              0.41-15              0.41-16
                linux415-vhba-module          20161009-15          20161009-16
   linux415-virtualbox-guest-modules              5.2.8-8              5.2.8-9
    linux415-virtualbox-host-modules              5.2.8-8              5.2.8-9
                        linux415-zfs              0.7.8-2              0.7.8-3
           manjaro-iso-profiles-base             17.1.4-1             17.1.7-1
      manjaro-iso-profiles-community             17.1.4-1             17.1.7-1
       manjaro-iso-profiles-official             17.1.4-1             17.1.7-1
                  manjaro-tools-base           0.15.5-1.1             0.15.6-1
                   manjaro-tools-iso           0.15.5-1.1             0.15.6-1
                   manjaro-tools-pkg           0.15.5-1.1             0.15.6-1
                  manjaro-tools-yaml           0.15.5-1.1             0.15.6-1

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:


#2

Known issues and solutions

This is a wiki post; please edit as necessary.


Nautilus - Middle click on any location in other-locations:/// closes tab


Noto Sans Mono has incorrect spacing or has vanished (under KDE)

This has been reported upstream but hasn’t yet been fixed. For the meantime please install noto-fonts-compat: sudo pacman -S noto-fonts-compat



#3

I never seen this before, so i don’t know what means. During the update, right after Updating Grub-Bootmenu sequence:

Found initrd fallback image: /boot/initramfs-4.14-x86_64-fallback.img
/dev/mapper/control: open failed: No such device 
Failure to communicate with kernel device-mapper driver.
Check that device-mapper is available in the kernel.
Command failed 
Found memtest86+ image: /boot/memtest86+/memtest.bin
done

#4

Here a link to all packages compared with our current stable branch.


#5

yesh whatdafak.


#6

Anyway, after reboot it seems all ok, no error in journal, just this:

journalctl | grep device-mapper
apr 13 07:41:18 AuroraALX kernel: device-mapper: uevent: version 1.0.3
apr 13 07:41:18 AuroraALX kernel: device-mapper: ioctl: 4.37.0-ioctl (2017-09-20) initialised: dm-devel@redhat.com

@philm - i’ll look into it, but yet not sure for what too look for :smiley:


#7

@philm I noticed that the only German repository that has been up to date in recent weeks for the unstable branch is philpot.

EDIT: Strange, two minutes after I wrote this post the servers were synchronized! :slight_smile:


#8

good update on xfce 4.14 and awesome vb 4.17 no issues right now


#9

gnome-shell reporting issue with arc-menu in journal:

Apr 13 18:05:47 rakete gnome-shell[3183]: JS ERROR: Could not load extension arc-menu@linxgen33.com: Error: Missing metadata.json
                                          createExtensionObject@resource:///org/gnome/shell/misc/extensionUtils.js:109:15
                                          _loadExtension@resource:///org/gnome/shell/misc/extensionUtils.js:179:25
                                          wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                          scanExtensions/<@resource:///org/gnome/shell/misc/extensionUtils.js:190:13
                                          collectFromDatadirs@resource:///org/gnome/shell/misc/fileUtils.js:27:17
                                          scanExtensions@resource:///org/gnome/shell/misc/extensionUtils.js:189:9
                                          wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
                                          _loadExtensions@resource:///org/gnome/shell/ui/extensionSystem.js:320:5
                                          enableAllExtensions@resource:///org/gnome/shell/ui/extensionSystem.js:328:9
                                          _sessionUpdated@resource:///org/gnome/shell/ui/extensionSystem.js:359:9
                                          init@resource:///org/gnome/shell/ui/extensionSystem.js:367:5
                                          _initializeUI@resource:///org/gnome/shell/ui/main.js:229:5
                                          start@resource:///org/gnome/shell/ui/main.js:133:5
                                          @<main>:1:31

Other than that it loosk good: linux415+nvidia+zfs+gnome

Edit: But I can activate arc-menu and it is working properly


#10

Yep i want do a try in community in the next gnome alpha2 release… At the moment is not default choice but in this day i switch it…


#11

On budgie inside a virtualbox all looks ok, but I saw a strange message while updating:
: Ejecutando los «hooks» de posinstalación…
( 1/12) Updating linux414 module dependencies…
depmod: ERROR: failed to load symbols from /lib/modules/4.14.34-1-MANJARO/kernel/sound/soc/codecs/snd-soc-da7219.ko.xz: Invalid argument
( 2/12) Updating linux414 initcpios…


#12

seems that it is compressed file. Should be just *.ko?


#14

Smooth update on KDE 4.14.
Just asking in curiosity, features to be expected in Illyria release?


#15

We have contantly 30-40 participants in Testing Updates polls. That’s good news for the users of the stable branch.


#16

Is philpot.de problematic? I get ceritficate expired. Also, moson.eu is slow [testing]

error: failed retrieving file 'steam-manjaro-1.0.0.54-10-x86_64.pkg.tar.xz' from mirror.philpot.de : SSL certificate problem: certificate has expired
error: failed retrieving file 'steam-manjaro-1.0.0.54-10-x86_64.pkg.tar.xz' from manjaro.moson.eu : Operation too slow. Less than 1 bytes/sec transferred the last 10 seconds

#17

Since gnome 3.28 the search function in seahorse does not work anymore.


#18

Tried Gnome during the last days (it was already titled as 3.28) and was surprised that it still had desktop icons - I really liked Gnome 3 for the first time since it came out and already began to remove some KDE apps. I thought that someone here in Manjaro already re-enabled the desktop icons with some fancy patches.

Yesterdays update (I suppose it was one of the nautilus packages) removed the option to enable desktop icons from the tweak tool and they are gone. I guess that not all packages were 3.28 until yesterday?

Back to KDE it is for me then. But with Latte dock (because it has the option to look completely like the KDE taskbar, but can go translucent when no Window is maximized, just like gnome’s titlebar)


#19

Is anybody facing issues with Bluetooth? I could not see Bluetooth in my control-center ( in my manjaro deepin) and I could see the following in my dmesg.

It seems that there is some problem with kernel update. I have tried with kernel 4.4, 4,9 and 4.14. All have same issue. Am I the only one having this issue? Did I miss something during the update?

 dmesg | grep -i blue
...
[   18.618981] Bluetooth: hci0: don't support firmware rome 0x31010000
....

#20

No problems on 3 machines and different DEs. Some test installations haven’t been updated for a month, now running fine on Testing.


#21

mine works fine

[    2.324901] Bluetooth: Core ver 2.22
[    2.324912] Bluetooth: HCI device and connection manager initialized
[    2.324913] Bluetooth: HCI socket layer initialized
[    2.324915] Bluetooth: L2CAP socket layer initialized
[    2.324917] Bluetooth: SCO socket layer initialized
[    4.179018] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[    4.179020] Bluetooth: BNEP filters: protocol multicast
[    4.179022] Bluetooth: BNEP socket layer initialized
[    9.906394] Bluetooth: RFCOMM TTY layer initialized
[    9.906399] Bluetooth: RFCOMM socket layer initialized
[    9.906402] Bluetooth: RFCOMM ver 1.11